Bug 796829 (CVE-2012-0879) - CVE-2012-0879 kernel: block: CLONE_IO io_context refcounting issues
Summary: CVE-2012-0879 kernel: block: CLONE_IO io_context refcounting issues
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-0879
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 791125 796846
Blocks: 796839
TreeView+ depends on / blocked
 
Reported: 2012-02-23 18:05 UTC by Petr Matousek
Modified: 2021-10-19 21:52 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-19 21:52:12 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0481 0 normal SHIPPED_LIVE Moderate: kernel security, bug fix, and enhancement update 2012-04-17 22:53:24 UTC

Description Petr Matousek 2012-02-23 18:05:09 UTC
With CLONE_IO, copy_io() increments both ioc->refcount and ioc->nr_tasks. However exit_io_context() only decrements ioc->refcount if ioc->nr_tasks reaches 0.

With CLONE_IO, parent's io_context->nr_tasks is incremented, but never decremented whenever copy_process() fails afterwards, which prevents xit_io_context() from calling IO schedulers exit functions.

An unprivileged local user could use these flaws cause denial of service.

Upstream fixes:
http://git.kernel.org/linus/61cc74fbb87af6aa551a06a370590c9bc07e29d9
http://git.kernel.org/linus/b69f2292063d2caf37ca9aec7d63ded203701bf3

References:
http://comments.gmane.org/gmane.linux.kernel/922519

Comment 3 Petr Matousek 2012-02-23 18:40:22 UTC
Statement:

This issue affects the Linux kernel as shipped with Red Hat Enterprise Linux 6. This issue does not affect the Linux kernel as shipped with Red Hat Enterprise Linux 4 and 5 as they did not provide support for CLONE_IO. This issue does not affect the Linux kernel as shipped with Red Hat Enterprise MRG as they already contain the fix. This has been addressed in Red Hat Enterprise Linux 6 via https://rhn.redhat.com/errata/RHSA-2012-0481.html.

Comment 4 Kurt Seifried 2012-02-23 21:49:26 UTC
Added CVE as per http://www.openwall.com/lists/oss-security/2012/02/23/5

Comment 5 errata-xmlrpc 2012-04-17 18:56:35 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0481 https://rhn.redhat.com/errata/RHSA-2012-0481.html


Note You need to log in before you can comment on or make changes to this bug.